# InputFileDetails

interface InputFileDetails

A change to an input file.

## Functions

getFile
Link copied to clipboard
abstract fun getFile(): File
The input file, which may no longer exist.
isAdded
Link copied to clipboard
abstract fun isAdded(): Boolean
Was the file added?
isModified
Link copied to clipboard
abstract fun isModified(): Boolean
Was the file modified?
isRemoved
Link copied to clipboard
abstract fun isRemoved(): Boolean
Was the file removed?